com.microfocus.awm.meta.interfaces

## Interface RElementlistColumn

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RElementlistColumnImpl

      public interface RElementlistColumn
      extends AWMObject

  Relationship to properties which describe a column in the element list structure. Any of the element's property values matching table column property is displayed in the table.

  The following features are supported:

  - `Target IDs`
  - `Col No`
  - `Label`
  - `Visible`
  - `Width`
  - `Delimiter`
  See Also:
    `TaurusPackage.getRElementlistColumn()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColNo()` Returns the value of the 'Col No' attribute.
    `java.lang.String` | `getDelimiter()` Returns the value of the 'Delimiter' attribute.
    `java.lang.String` | `getDelimiterWithoutQuotes()` Returns the `getDelimiter()` value of the `RElementlistColumn` without the quotes.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`).
    `Property` | `getTargetID()` Deprecated. This method is no longer used. Element List Columns support multiple `Property`s now. This method only sets one `Property`. Use `getTargetIDs()` instead.
    `org.eclipse.emf.common.util.EList<Property>` | `getTargetIDs()` Returns the value of the 'Target IDs' reference list.
    `int` | `getWidth()` Returns the value of the 'Width' attribute.
    `boolean` | `isSetColNo()` Returns whether the value of the '`Col No`' attribute is set.
    `boolean` | `isSetVisible()` Returns whether the value of the '`Visible`' attribute is set.
    `boolean` | `isSetWidth()` Returns whether the value of the '`Width`' attribute is set.
    `boolean` | `isVisible()` Returns the value of the 'Visible' attribute.
    `void` | `setColNo(int value)` Sets the value of the '`Col No`' attribute.
    `void` | `setDelimiter(java.lang.String value)` Sets the value of the '`Delimiter`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setTargetID(Property value)` Deprecated. This method is no longer used. Element List Columns support multiple `Property`s now. This method only sets one `Property`. Use `getTargetIDs()` instead.
    `void` | `setVisible(boolean value)` Sets the value of the '`Visible`' attribute.
    `void` | `setWidth(int value)` Sets the value of the '`Width`' attribute.
    `void` | `unsetColNo()` Unsets the value of the '`Col No`' attribute.
    `void` | `unsetVisible()` Unsets the value of the '`Visible`' attribute.
    `void` | `unsetWidth()` Unsets the value of the '`Width`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetIDs

          org.eclipse.emf.common.util.EList<Property> getTargetIDs()

      Returns the value of the 'Target IDs' reference list. The list contents are of type `Property`. References properties. The property values become displayed separated by the delimiter in the column of the element list at run time.
      Returns:
        the value of the 'Target IDs' reference list.
      See Also:
        `TaurusPackage.getRElementlistColumn_TargetIDs()`

    - #### getTargetID

          @Deprecated
          Property getTargetID()

      Deprecated. This method is no longer used. Element List Columns support multiple `Property`s now. This method only sets one `Property`. Use `getTargetIDs()` instead.
      Returns the value of the 'Target ID' reference. References a property. The property's value then displays in the column
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(Property)`, `TaurusPackage.getRElementlistColumn_TargetID()`

    - #### setTargetID

          @Deprecated
          void setTargetID(Property value)

      Deprecated. This method is no longer used. Element List Columns support multiple `Property`s now. This method only sets one `Property`. Use `getTargetIDs()` instead.
      Sets the value of the ' `Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getColNo

          int getColNo()

      Returns the value of the 'Col No' attribute.
      Position number of the table column (1 = at the extreme left).
      Returns:
        the value of the 'Col No' attribute.
      See Also:
        `isSetColNo()`, `unsetColNo()`, `setColNo(int)`, `TaurusPackage.getRElementlistColumn_ColNo()`

    - #### setColNo

          void setColNo(int value)

      Sets the value of the '`Col No`' attribute.
      Parameters:
        `value` - the new value of the 'Col No' attribute.
      See Also:
        `isSetColNo()`, `unsetColNo()`, `getColNo()`

    - #### unsetColNo

          void unsetColNo()

      Unsets the value of the '`Col No`' attribute.
      See Also:
        `isSetColNo()`, `getColNo()`, `setColNo(int)`

    - #### isSetColNo

          boolean isSetColNo()

      Returns whether the value of the '`Col No`' attribute is set.
      Returns:
        whether the value of the 'Col No' attribute is set.
      See Also:
        `unsetColNo()`, `getColNo()`, `setColNo(int)`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Display name and/or the column title for the table column. If no label is stated, the referenced property's label is used.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRElementlistColumn_Label()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`). If the Property its Label wasn't set, too, its ID will be returned.

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### isVisible

          boolean isVisible()

      Returns the value of the 'Visible' attribute. The default value is `"true"`.
      Indicates whether the table column displays as standard. Columns can be displayed or hidden by the user at any time.
      Returns:
        the value of the 'Visible' attribute.
      See Also:
        `isSetVisible()`, `unsetVisible()`, `setVisible(boolean)`, `TaurusPackage.getRElementlistColumn_Visible()`

    - #### setVisible

          void setVisible(boolean value)

      Sets the value of the '`Visible`' attribute.
      Parameters:
        `value` - the new value of the 'Visible' attribute.
      See Also:
        `isSetVisible()`, `unsetVisible()`, `isVisible()`

    - #### unsetVisible

          void unsetVisible()

      Unsets the value of the '`Visible`' attribute.
      See Also:
        `isSetVisible()`, `isVisible()`, `setVisible(boolean)`

    - #### isSetVisible

          boolean isSetVisible()

      Returns whether the value of the '`Visible`' attribute is set.
      Returns:
        whether the value of the 'Visible' attribute is set.
      See Also:
        `unsetVisible()`, `isVisible()`, `setVisible(boolean)`

    - #### getWidth

          int getWidth()

      Returns the value of the 'Width' attribute. The default value is `"100"`.
      The column width in the table view in pixels.
      Returns:
        the value of the 'Width' attribute.
      See Also:
        `isSetWidth()`, `unsetWidth()`, `setWidth(int)`, `TaurusPackage.getRElementlistColumn_Width()`

    - #### setWidth

          void setWidth(int value)

      Sets the value of the '`Width`' attribute.
      Parameters:
        `value` - the new value of the 'Width' attribute.
      See Also:
        `isSetWidth()`, `unsetWidth()`, `getWidth()`

    - #### unsetWidth

          void unsetWidth()

      Unsets the value of the '`Width`' attribute.
      See Also:
        `isSetWidth()`, `getWidth()`, `setWidth(int)`

    - #### isSetWidth

          boolean isSetWidth()

      Returns whether the value of the '`Width`' attribute is set.
      Returns:
        whether the value of the 'Width' attribute is set.
      See Also:
        `unsetWidth()`, `getWidth()`, `setWidth(int)`

    - #### getDelimiter

          java.lang.String getDelimiter()

      Returns the value of the 'Delimiter' attribute. The default value is `"\" - \""`.
      Defines the separator between property values in a table column if more than one property is modeled.
      Returns:
        the value of the 'Delimiter' attribute.
      See Also:
        `setDelimiter(String)`, `TaurusPackage.getRElementlistColumn_Delimiter()`

    - #### setDelimiter

          void setDelimiter(java.lang.String value)

      Sets the value of the '`Delimiter`' attribute.
      Parameters:
        `value` - the new value of the 'Delimiter' attribute.
      See Also:
        `getDelimiter()`

    - #### getDelimiterWithoutQuotes

          java.lang.String getDelimiterWithoutQuotes()

      Returns the `getDelimiter()` value of the `RElementlistColumn` without the quotes. This Method will return the correct value even if there weren't any quotes in the configuration file.
      Returns:
        The `getDelimiter()` value of the `RElementlistColumn` without quotes or `null` if no value was set for the delimiter.

Copyright © 2015 Micro Focus GmbH. All rights reserved.